Minimum path sum | Min cost Path | Dynamic programming | Leetcode #64

  Рет қаралды 84,163

Techdose

Techdose

Күн бұрын

This video explains a very important programming interview question which is to find minimum cost path or minimum path sum. I have shown backtracking method along with memoization optimization and finally explained the most optimal dynamic programming solution using proper example. Finally, i have explained the DP code and CODE LINK is present below. This is the 64th number question from LEETCODE. If you find any difficulty or have any query then do COMMENT below. PLEASE help our channel by SUBSCRIBING and LIKE our video if you found it helpful...CYA :)
CODE LINK: gist.github.co...

Пікірлер: 234
@codestorywithMIK
@codestorywithMIK 4 жыл бұрын
Explaining things like "Why won't Greedy work here", then going from "recursive" approach to optimized DP approach. This is how everyone wants to see a problem and this is how everyone should look at a problem. Start from worst and make improvements step by step. This makes your teaching style special. Thanks
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@junelcjun
@junelcjun 3 жыл бұрын
i agree. this is one of the best videos.
@ismail8973
@ismail8973 3 жыл бұрын
That's makes sense
@debaratighatak2211
@debaratighatak2211 3 жыл бұрын
well said! I agree
@GodOfFaith
@GodOfFaith 2 жыл бұрын
Just in 14 mins
@ronaldabellano5643
@ronaldabellano5643 4 жыл бұрын
The best. I like the use of colors that made it easy to follow.
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@genvalencia1740
@genvalencia1740 4 жыл бұрын
I come here whenever I start to feel anxious about my solution not panning out, and I'm solving in Python. :) Thanks again for these walk-throughs, they really help. =D
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@CostaKazistov
@CostaKazistov 2 жыл бұрын
Clearest explanation of 3 different approaches to solving Minimum Path Sum problem 💯
@ismail8973
@ismail8973 3 жыл бұрын
Explanation for Why greedy algorithm doesn't work was top notch. people usually doesn't try to think or explain in that angle. Thanks
@alfredomora5555
@alfredomora5555 3 жыл бұрын
I just had an assessment wish I saw this video earlier. The question was very similar. I appreciate your content thank you!
@techdose4u
@techdose4u 3 жыл бұрын
Thanks 😊
@zelo_s6707
@zelo_s6707 2 жыл бұрын
Thanks for this approach! Using the greedy and recursive approaches helped me understand why one would use the DP method. Nothing else made sense up until now. Keep it up!
@PiyushKumar-ey7qw
@PiyushKumar-ey7qw 4 жыл бұрын
memoization approach did work like a charm, instead of a 2D array, I have used unordered_map where key was a pair of i,j value. It got accepted.
@techdose4u
@techdose4u 4 жыл бұрын
Share your code bro :)
@Safar_Ayushi_Ka
@Safar_Ayushi_Ka 4 жыл бұрын
Hey Piyush Share your code
@divanshuagarwal8236
@divanshuagarwal8236 4 жыл бұрын
Can you please share your code?
@Amitkumar-nw5mt
@Amitkumar-nw5mt 4 жыл бұрын
using map insted to 2-d arr wont work
@sunyulhossen
@sunyulhossen 2 жыл бұрын
@@Amitkumar-nw5mt It will definitely work
@Noizept
@Noizept 4 жыл бұрын
The best video i found so far to explain this problem.
@techdose4u
@techdose4u 4 жыл бұрын
Thanks bro
@techwithlord
@techwithlord 2 жыл бұрын
This is a best ever video I have ever seen from this only one video I clearly understand the GREEDY, RECURSION AND BACKTRACKING also hats off dude to your work
@techdose4u
@techdose4u 2 жыл бұрын
Thanks 😊
@dileepkumar-nd1fo
@dileepkumar-nd1fo 3 жыл бұрын
You are mastered in explaining the things man. Such a neat explanation with clear voice and the colour combination will make us remember easy.
@techdose4u
@techdose4u 3 жыл бұрын
Great :)
@anushreegupta5830
@anushreegupta5830 2 жыл бұрын
Hats off to your teaching style! Legit the best explaination.
@indsonusharma
@indsonusharma 4 жыл бұрын
i did by marking technique (iterative) like if you have not encountered then add that state and mark it but if you have encountered that (check by using mark 2d array )state before then take minimum of previous and current state(bit mathematical) that also lead me to AC but thanks for this beautiful approach bro! today the base case could'nt stop us in the first go lol!!
@techdose4u
@techdose4u 4 жыл бұрын
This concept is same as memoization. Today I already wrote the base case 🤣
@HimanshuKumar-sl6ud
@HimanshuKumar-sl6ud 3 жыл бұрын
the way you explain complex things in easy way is awesome. please make more problems solution of leetcode .
@techdose4u
@techdose4u 3 жыл бұрын
Sure :)
@peter-eh2oq
@peter-eh2oq 2 жыл бұрын
Thanks! Please keep going!!! Thanks soooooooooo much!!! I saw a lot of vedio about this question, you have the best explination.
@khan.mansoor
@khan.mansoor 3 жыл бұрын
You explain both problem and solutions very well. Commenting for expressing gratitude as well to offer support. Please keep up the good work.
@Dizzydizzydizzy7
@Dizzydizzydizzy7 2 жыл бұрын
Literally best explaination on youtube
@programmingstuff5741
@programmingstuff5741 4 жыл бұрын
Can you post the solutions of Google kickstart Round A and Round B These are the such good problems to practice
@debaratighatak2211
@debaratighatak2211 3 жыл бұрын
Another amazing explanation, I can't really thank you enough sir! I :) The bright colours in the video really helps a lot too
@techdose4u
@techdose4u 3 жыл бұрын
Thanks 😊
@simon7671
@simon7671 3 жыл бұрын
you help me a lot! I am a beginnner and this question is just too hard for me. After watching your video, i am able to finish a similar question by myself!
@techdose4u
@techdose4u 3 жыл бұрын
Great :)
@prathamkesarkar
@prathamkesarkar 3 жыл бұрын
As usual sir I was able to solve this within minutes with your explanation.
@wilfredomartel7781
@wilfredomartel7781 2 жыл бұрын
Great!
@HariPrasad-ox5ri
@HariPrasad-ox5ri Жыл бұрын
Thank you for the simple and elegant explanation!
@techdose4u
@techdose4u Жыл бұрын
Welcome :)
@utkarsh5165
@utkarsh5165 Жыл бұрын
Wonderful Explanation BY Tech Dost.. (Dosh)
@ayoubdkhissi
@ayoubdkhissi 3 жыл бұрын
this explanation couldn't be better!! thanks
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@prafulparashar9849
@prafulparashar9849 2 жыл бұрын
Great explanation !! The steps which we followed were the exact steps and approaches which came to my mind while looking at this problem for the very first time. I was able to go till recursion(backtracking) approach but could not figure out the last one. Thanks !! This was helpful.
@Rasheed21
@Rasheed21 21 күн бұрын
That's incorrect at 7:18; memoization significantly improves time. For a 15x16 grid I was able to reduce recursive calls from 445,962,869 to 479 where there were 209 cache hits. The time dropped from 1347 ms to 1ms. That's a 1347 times improvement on time and nearly 100,000 times improvement on recursive calls. This was with Java using a 2D array for the cache (i.e. memoization) instead of HashMap. The time spent filling the array with -1's had little impact. Using HashMap also had good time of 7 ms with the same improved numbers for recursive calls and cache hits.
@AltafHussain-on2oe
@AltafHussain-on2oe 3 жыл бұрын
I am falling in love with your Explanation 💖
@techdose4u
@techdose4u 3 жыл бұрын
😀
@PriyanshuKumar-om8np
@PriyanshuKumar-om8np 2 жыл бұрын
The best explanation I have ever seen.
@rishabhgoyal8110
@rishabhgoyal8110 4 жыл бұрын
I hope this channel reaches 1m soon!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks for your support 😀
@Daniel_WR_Hart
@Daniel_WR_Hart 3 жыл бұрын
LeetCode only has a bit over 200K users with a contest ranking, so that might take a while
@DrJavyMartinez
@DrJavyMartinez 3 жыл бұрын
Dude! Your accent is tough, but after watching your video, I feel EXTREMELY comfortable applying minimum and maximum cost sum traversal algorithms through graphs!!
@techdose4u
@techdose4u 3 жыл бұрын
Great :) Sorry for this accent though 😅
@alancabrera7116
@alancabrera7116 4 жыл бұрын
iiuc, the space complexity is O(n). One only needs one vector for the running minimums.
@techdose4u
@techdose4u 4 жыл бұрын
True. 2 maintaining 2 rows is sufficient. This is true for most table type DP programs.
@fussycat2798
@fussycat2798 3 жыл бұрын
Nicely explained the concept. Really like it. I was able to solve the similar problems in less time. Thanks a lot for the detailed explanation
@UJJWALGIRIRA
@UJJWALGIRIRA 2 жыл бұрын
bhai op zeher explaination🔥🔥🔥🔥🔥🔥🔥
@prashantagrawal1140
@prashantagrawal1140 2 жыл бұрын
Brilliant Explaintion techdose
@techdose4u
@techdose4u 2 жыл бұрын
Thanks
@kercat89
@kercat89 4 жыл бұрын
It's so easy to understand and I loved the break down from the simple to sophisticated approach! I have a question re the recursive solution - why is the complexity O(2^n) and not O(2^(m*n))? if it means that there's 2 options to about each cell..? Thank you
@techdose4u
@techdose4u 4 жыл бұрын
Thanks. Actually our number of steps will always be (m+n) from top left to bottom right. So, you can say time will be 2^(m+n).
@kercat89
@kercat89 4 жыл бұрын
@@techdose4u That makes sense. Thank you!
@amansarma417
@amansarma417 4 жыл бұрын
i did without the dp vector. Since we could just perform modifications on the same given grid matrix. Space Complexity O(1) :) . I submitted that way
@techdose4u
@techdose4u 4 жыл бұрын
Pleas share your code.
@paragroy5359
@paragroy5359 3 жыл бұрын
Nice explanation sir....but instead of taking an additional dp vector if we do changes in the given grid vector only then it will be o(1) space solution
@techdose4u
@techdose4u 3 жыл бұрын
👍🏼
@shivanij3725
@shivanij3725 4 жыл бұрын
nice explanation about dp table.Thanks
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@kumaraakash25
@kumaraakash25 2 жыл бұрын
Amazing explanation but why would anyone go with the DP approach if complexity is the same in both recursion and DP both
@viralmehta2542
@viralmehta2542 3 жыл бұрын
Nice video. Covered various approaches here.
@techdose4u
@techdose4u 3 жыл бұрын
Thanks
@sarathgovind.k.k7951
@sarathgovind.k.k7951 3 жыл бұрын
very good explanation
@techdose4u
@techdose4u 3 жыл бұрын
Thanks :)
@ambujverma9287
@ambujverma9287 4 жыл бұрын
the way you explain things is phenomenal... thanks a lot
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@ambujverma9287
@ambujverma9287 4 жыл бұрын
@@techdose4u bhai you work in any MNC or u study in college(iit?)
@techdose4u
@techdose4u 4 жыл бұрын
MNC....
@ambujverma9287
@ambujverma9287 4 жыл бұрын
@@techdose4u which one.. if you don't mind brother 😅
@shapedsilver3689
@shapedsilver3689 3 жыл бұрын
When he started getting into why greedy algorithms won't work I knew this was legit
@techdose4u
@techdose4u 3 жыл бұрын
:)
@OP-yw3ws
@OP-yw3ws Жыл бұрын
Amazing you solved all my doubts
@Safar_Ayushi_Ka
@Safar_Ayushi_Ka 4 жыл бұрын
Your videos are amazing plz do make more videos on DP ,it would be grateful Thanks
@techdose4u
@techdose4u 4 жыл бұрын
Thanks. Yes I will
@jeromealve6321
@jeromealve6321 3 жыл бұрын
I wish this video came out 3 years ago when I took my algorithms class lol
@techdose4u
@techdose4u 3 жыл бұрын
:)
@rahulbhangale4656
@rahulbhangale4656 3 жыл бұрын
greedy works if you properly define dp table. dp[i][j] denotes minimum path sum from (1,1) to (i,j)
@sarvagyaiitmadras8727
@sarvagyaiitmadras8727 3 жыл бұрын
if all 4 direction mvement would be allowed then what would be changes, will changes work in it, or completenew approach would be needed ???
@techdose4u
@techdose4u 3 жыл бұрын
Apply Dijkstra.
@neharikakhera6411
@neharikakhera6411 4 жыл бұрын
Thank you so much for great explanation!!
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@pradeepvdeepu4768
@pradeepvdeepu4768 3 жыл бұрын
awesome explanation and smooth ..... ! thanks a lot
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@AnshumanSharmadev
@AnshumanSharmadev 4 жыл бұрын
Amazing!! You made it look so simple! Liked and Subscribed!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@shivanggupta5421
@shivanggupta5421 4 жыл бұрын
def findPath(x:int,y:int): if(x= len(grid) or y=len(grid[0])): return right = findPath(x,y+1) down = findPath(x+1,y) return min(right,down)+grid[x][y] I used this method. I know you said recursive method won't work but I tried for my satisfaction. But when compiling it gives error because it isn't able to compare right and left when the boundary check returns null. Can you tell me where am I wrong
@shaileshhegde9205
@shaileshhegde9205 4 жыл бұрын
The recursive way is DFS right with directions of right and below
@ABHISHEK-fy1in
@ABHISHEK-fy1in 4 жыл бұрын
Very well explained. 👌
@nabidhasan9548
@nabidhasan9548 2 жыл бұрын
Great explanation brother
@techdose4u
@techdose4u 2 жыл бұрын
Thanks 🙂
@InsightWeaver
@InsightWeaver 2 жыл бұрын
Amazing video mate! explained thoroughly. Cheers
@openworld7585
@openworld7585 4 жыл бұрын
Thank you for awesome explanations of dp table
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@miltonrodrigues8417
@miltonrodrigues8417 3 жыл бұрын
Good Explanation!
@techdose4u
@techdose4u 3 жыл бұрын
Thanks
@moonbrush5
@moonbrush5 2 жыл бұрын
I am stuck with a similar problem which is finding shortest path in 2D matrix from source to target which given in the problem and I have to return all i,j coordinates of the shortest path only. Please help.
@shreelakshmi6890
@shreelakshmi6890 2 жыл бұрын
Great Explanation!
@lemax2980
@lemax2980 4 жыл бұрын
Great sir, as usual😋
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :D
@Somethingsomethinglol
@Somethingsomethinglol 3 жыл бұрын
Excellent!
@techdose4u
@techdose4u 3 жыл бұрын
Thanks :)
@chelseaip759
@chelseaip759 3 жыл бұрын
THE BEST TUTORIAL
@techdose4u
@techdose4u 3 жыл бұрын
Thanks 😊
@ritikgandhi3605
@ritikgandhi3605 4 жыл бұрын
In line 11 of the code ,why did we initialize cols as int cols=grid[0].size() and not just as grid.size()?
@techdose4u
@techdose4u 4 жыл бұрын
Because the number of cols are same in each row and grid[O] means no of cols. Grid.size means no of rows because it is a 2D matrix.
@amitavamozumder73
@amitavamozumder73 3 жыл бұрын
we can also do dijksta here right? the value in each cell can be the edge weight, which is pretty close to the dp solution.
@techdose4u
@techdose4u 3 жыл бұрын
You can
@amitavamozumder73
@amitavamozumder73 3 жыл бұрын
@@techdose4u can you please make a video on myers diff algorithm, (the one used in github file diff), it's not anywhere in youtube,
@programmingstuff5741
@programmingstuff5741 4 жыл бұрын
Can you post videos on segment tree?? Which is very useful for the purpose of comptetive programming
@techdose4u
@techdose4u 4 жыл бұрын
Already done. Search in videos.
@tekbssync5727
@tekbssync5727 3 жыл бұрын
What a color combination and style of *Leet code* in the thumbnail ? !!!! 😂
@techdose4u
@techdose4u 3 жыл бұрын
😅
@marvellouschandan
@marvellouschandan 3 жыл бұрын
It was a clickbait actually :D
@techdose4u
@techdose4u 3 жыл бұрын
@@marvellouschandan it wasn't 😂
@anandakrishnan2685
@anandakrishnan2685 3 жыл бұрын
Nice explanation, thanks!
@shyamprakashm6325
@shyamprakashm6325 4 жыл бұрын
How do we print the minimum path index in the given input matrix? Ex:(0,0)--->(0,1)--->. Some what like this... The same problem I have been facing when ever I use the dp concept example print the subset which has the sum=k here I could find the sum but I don't know how to find the subset... Please help sir
@chetanpatteparapu7600
@chetanpatteparapu7600 4 жыл бұрын
Top Down approach using backtracking and memoization: private int[][] memo; public int minPathSum(int[][] grid) { if (grid.length < 1) return 0; this.memo = new int[grid.length][grid[0].length]; for (int[] row : memo) Arrays.fill(row, Integer.MAX_VALUE); return getMinPathSum(grid, 0, 0); } private int getMinPathSum(int[][] grid, int row, int column) { int currentValue = grid[row][column]; if (memo[row][column] != Integer.MAX_VALUE) return memo[row][column]; else if (row == grid.length - 1 && column == grid[row].length -1) return currentValue; else if (row == grid.length - 1) currentValue += getMinPathSum(grid, row, column + 1); else if (column == grid[row].length - 1) currentValue += getMinPathSum(grid, row + 1, column); else currentValue += Math.min(getMinPathSum(grid, row, column + 1), getMinPathSum(grid, row + 1, column)); memo[row][column] = currentValue; return currentValue; }
@lashalezhava2313
@lashalezhava2313 4 жыл бұрын
Thanks, you explain very well :)
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@akanshagautam9815
@akanshagautam9815 4 жыл бұрын
If we can move up, down, left, and right then what changes do we have to make in the code?
@techdose4u
@techdose4u 4 жыл бұрын
Maybe try with Dijkstra graph algorithm.
@harshitchoukse2602
@harshitchoukse2602 3 жыл бұрын
Then you need track the path with visited array in order to bypass the cycle.
@jameskurakula8560
@jameskurakula8560 3 жыл бұрын
@7:38 grid[I][j]+ min( dp[ i-1][j], dp[I][j-1]) , there it was j-2.
@veereshr
@veereshr 3 жыл бұрын
if we can change the input matrix, we can use the same right? memory optimisation?
@techdose4u
@techdose4u 3 жыл бұрын
Yes if the array is mutable
@raj.saurabhh
@raj.saurabhh 3 жыл бұрын
Can we not use the extra space and use the given table for dp? I mean my testcase is ok but when i submit one solution is wrong
@pallabghosh3840
@pallabghosh3840 2 жыл бұрын
can i say the time will be in recursive approach 2^(m*n) in worst case? so we use dp for n^2 time
@jatinshrivastava4231
@jatinshrivastava4231 3 жыл бұрын
What should I do if i also have to count the number of paths through which We can reach the minimum cost as there can be more than one such paths?
@harifrahman8054
@harifrahman8054 4 жыл бұрын
Nice Explanation
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@rushabhlegion2560
@rushabhlegion2560 Жыл бұрын
What is that Fast I/O in C++ line at the top? Is it necessary?
@vedant9887626061
@vedant9887626061 4 жыл бұрын
What will be the boundary conditions for recursive approach
@techdose4u
@techdose4u 4 жыл бұрын
Out of bounds case.
@blume0f
@blume0f 4 жыл бұрын
awesome sir
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@mahipalsingh-yo4jt
@mahipalsingh-yo4jt 4 жыл бұрын
great video sir...........:)
@techdose4u
@techdose4u 4 жыл бұрын
Thanks
@aneeshmv8201
@aneeshmv8201 4 жыл бұрын
Memoization of recursive code to remove overlapping sub problem calls, will give O(N*N ) right?
@techdose4u
@techdose4u 4 жыл бұрын
It will depend on no of repeating subproblems. Actually 2^N is a much larger upper bound due to the constraint in movement. But yes, memoization should give approx N^2. But since we are still doing recursion, actual runtime can go much higher than table method if you get large matrix. So, table method is best for larger cases. I hope you got it :)
@subratarudra2745
@subratarudra2745 Жыл бұрын
Nice explanation sir
@techdose4u
@techdose4u Жыл бұрын
Thanks :)
@jeevanr5814
@jeevanr5814 3 жыл бұрын
Dp approach is not working for some testcase can you please check it
@prathameshmahankal4180
@prathameshmahankal4180 Жыл бұрын
Could someone please help me understand how the time complexity for the last solution is O(N^2)?
@praveennandham2933
@praveennandham2933 4 жыл бұрын
can we change the same logic ass required when soure and destination or given??
@dhruvgoel25
@dhruvgoel25 4 жыл бұрын
Can you please explain me why we initialize dp like dis dp(row, vector(cols,0)) The first parameter is clear bt second I couldn't get
@jigarmav335
@jigarmav335 4 жыл бұрын
dp(row , vector(cols,0)) .Here 1st parameter indicates that we want a vector of size row. Second parameter indicates that each element in our vector is a vector of size cols and is initialized to zero. for dp(2,vector(2,0)) it would look like this. { { 0, 0 }, { 0 , 0 } }
@bigbird0617
@bigbird0617 3 жыл бұрын
the time complexity should be O(n*m) not O(n2) ?
@alexsparrow8614
@alexsparrow8614 4 жыл бұрын
can you tell boundary check condition in recursive Method.....
@techdose4u
@techdose4u 4 жыл бұрын
Out of bounds. Reaching the desired cell. Reject higher cost path (if using memoization).
@jaredmomanyi8178
@jaredmomanyi8178 Жыл бұрын
works like magic
@techdose4u
@techdose4u Жыл бұрын
Nice :)
@mohammedsadiq1567
@mohammedsadiq1567 4 жыл бұрын
Awesome bro!!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@LovelyMountainGoat-rd7qy
@LovelyMountainGoat-rd7qy 9 ай бұрын
Thank you😇
@InsightWeaver
@InsightWeaver 2 жыл бұрын
@tech dose what if add diagonal movement to it? how would we solve it then?
@InsightWeaver
@InsightWeaver 2 жыл бұрын
also in python 3 verson please
@yashgoswami5374
@yashgoswami5374 4 жыл бұрын
What will be the solution if we allow to move in all 4 directions?
@lifestoriesfromearth6271
@lifestoriesfromearth6271 3 жыл бұрын
which tool are you using for whiteboard
@vikashverma9
@vikashverma9 4 жыл бұрын
how to calculate time complexity when we solve by bottom up dp approach.
@techdose4u
@techdose4u 4 жыл бұрын
TIME will be same either you do Top down or Bottom up because you will be doing same number of operations using the same algo and the same logic path. If you are getting confused then just rotate the matrix by 180 degrees them bottom up approach will become top down.
@vikashverma9
@vikashverma9 4 жыл бұрын
@@techdose4u Thanks for your quick reply. I am using recursive approach. Please see code. ide.geeksforgeeks.org/BYt1SFzNms
@alnaifmilon5420
@alnaifmilon5420 3 жыл бұрын
Thank you
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@mohitsoni3446
@mohitsoni3446 4 жыл бұрын
awesome
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
Maximal square | Dynamic programming | Leetcode #221
18:27
Techdose
Рет қаралды 71 М.
Кәсіпқой бокс | Жәнібек Әлімханұлы - Андрей Михайлович
48:57
龟兔赛跑:好可爱的小乌龟#short #angel #clown
01:00
Super Beauty team
Рет қаралды 38 МЛН
Миллионер | 1 - серия
34:31
Million Show
Рет қаралды 2,9 МЛН
SISTER EXPOSED MY MAGIC @Whoispelagheya
00:45
MasomkaMagic
Рет қаралды 9 МЛН
LeetCode was HARD until I Learned these 15 Patterns
13:00
Ashish Pratap Singh
Рет қаралды 468 М.
Minimum Path Sum - Leetcode 64 - Python
8:53
TechError
Рет қаралды 1,3 М.
I Solved 100 LeetCode Problems
13:11
Green Code
Рет қаралды 124 М.
Minimum Falling Path Sum - Leetcode 931 - Python
14:02
NeetCodeIO
Рет қаралды 14 М.
I gave 127 interviews. Top 5 Algorithms they asked me.
8:36
Sahil & Sarra
Рет қаралды 662 М.
Path with Minimum Effort - Leetcode 1631 - Python
14:35
NeetCodeIO
Рет қаралды 14 М.
Minimum Cost Path | Programming Interview Question | Python Code
13:59
Art of Engineer
Рет қаралды 13 М.
Кәсіпқой бокс | Жәнібек Әлімханұлы - Андрей Михайлович
48:57